Subject: Re: UCC interactions

From: Chuck Meade <[email-masked]>
Date: Tue, 22 Jun 2010 11:15:18 -0400

On 06/22/2010 10:51 AM, Timur Tabi wrote:
> On Mon, Jun 21, 2010 at 2:00 PM, Gary Thomas <[email-masked]> wrote:
>> I'm running 2.6.33.3 on MPC8358.  I have UCC1+UCC2 working fine
>> for ethernet, but when I add UCC3 as a UART, the network devices
>> quit working.
> 
> Since you're using QE UART, would you mind testing this patch:
> 
> http://patchwork.ozlabs.org/patch/56181/
> 
> and letting us know if it works for you?
> 

Hi Timur,

His UART is not working yet.  I am fine with him testing my patch (I hope he does),
just he still is working on getting his UART to work at all.  I think since he is
using MPC8358, he needs the soft UART mode microcode patch.

The patch that you mention above is one I wrote that affects how the UART close
operation handles being closed when buffered output is still present.  I fixed the
timeout so it closes in the correct amount of time.  Gary is not quite ready for
testing this yet.

Thanks,
Chuck